Bug Hunting Session
Bug 58340 - FORMATTING: Conditional formatting 'Date is Next...' does not work in case of change of year
Summary: FORMATTING: Conditional formatting 'Date is Next...' does not work in case of...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-15 16:40 UTC by pierre-yves samyn
Modified: 2012-12-20 02:04 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2012-12-15 16:40:08 UTC
Hello

Examples:

1. If the current date is eg 15/12/12, the conditional formatting "Date is next month" does not apply for the date 10/01/13

2. If the current date is eg 15/28/12, the conditional formatting "Date is next week" does not apply for the date 01/01/13

Everything works correctly if the reference date is in the same year

Platform: windows 7 64bits
Regards
Pierre-Yves
Operating System: All
Comment 1 pierre-yves samyn 2012-12-15 16:46:49 UTC
In Example 1 above read 12/15/12 (December 15) instead of 15/12/12
In Example 2 above read 12/28/12 (December 28) instead of 15/28/12, sorry :)

Bug reproduced on fr-discuss

Regards
Pierre-Yves
Comment 2 Not Assigned 2012-12-17 22:59:21 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e4348d0f60f2b6b3ad71eaa8777ef8f98694298

checking for the month is wrong, related fdo#58340



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Not Assigned 2012-12-17 22:59:39 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8406aa3e0225989d57b185958b0c43b1304ec4a

fix the month date formats, related fdo#58340



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-12-17 23:11:06 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fe0c61908011f3fee724d6466cd33e82b1c2944a&g=libreoffice-4-0

checking for the month is wrong, related fdo#58340


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-12-17 23:11:24 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c03d0664cfd060c0f9d706d574c15a396fb67a04&g=libreoffice-4-0

fix the month date formats, related fdo#58340


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Markus Mohrhard 2012-12-18 20:02:14 UTC
The month formats are fixed. The week formulas are still not working correctly in the case of two weeks that are in different years.
Comment 7 pierre-yves samyn 2012-12-19 08:19:28 UTC
(In reply to comment #6)
> The month formats are fixed. The week formulas are still not working
> correctly in the case of two weeks that are in different years.


I confirm these two points with Version 4.0.0.0.beta1+ (Build ID: 315b9b4a5c53eed5fd283bc329e05d7d8fbc9eb)

Regards
Pierre-Yves
Comment 8 Not Assigned 2012-12-20 01:51:24 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=edccbb232a9190f33d6a55e7833608f99a6566fe&g=libreoffice-4-0

handle last week/next week betweek different years, fdo#58340


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2012-12-20 01:51:42 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31eee6b372539f0f1ccb82d9a8012e878d498d56

handle last week/next week betweek different years, fdo#58340



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Markus Mohrhard 2012-12-20 02:04:00 UTC
Finally fixed all cases.